Index: plottools/src/danse/common/plottools/PlotPanel.py
===================================================================
--- plottools/src/danse/common/plottools/PlotPanel.py	(revision f866fb50c32dcbfffa94c222dc6afe14b1730c6b)
+++ plottools/src/danse/common/plottools/PlotPanel.py	(revision 657e52c6e801e630d2fc6f1722a752b701d20771)
@@ -2,6 +2,5 @@
 """
 import logging
-import wx.lib.newevent
-
+import wx
 # Try a normal import first
 # If it fails, try specifying a version
Index: plottools/src/danse/common/plottools/SimpleFont.py
===================================================================
--- plottools/src/danse/common/plottools/SimpleFont.py	(revision 8f59e95b3001fbd69e1670fadfe4ea035b66a676)
+++ plottools/src/danse/common/plottools/SimpleFont.py	(revision 657e52c6e801e630d2fc6f1722a752b701d20771)
@@ -34,10 +34,10 @@
         self.style = STYLE[0]
         self.weight = WEIGHT[1]
-
+        self.tick_label = None
+        self.tick_label_check = None
         self.InitUI()
         self.Centre()
         self.Show()
-
-
+        
     def InitUI(self):
         vbox = wx.BoxSizer(wx.VERTICAL)
@@ -57,18 +57,22 @@
         self.fontWeight = wx.ComboBox(self,pos=(300,60),
                                       style=wx.CB_READONLY,size=(100,-1))
-
+        self.tick_label_check = wx.CheckBox(self, -1, label='', pos=(80, 100), 
+										size=(15, -1))
+        self.tick_label_check.SetValue(False)
         self.okButton = wx.Button(self,wx.ID_OK,'OK',pos=(215,100))
         self.closeButton = wx.Button(self,wx.ID_CANCEL,'Cancel',pos=(315,100))
-
+        
         self._set_family_list()
         self._set_style_list()
         self._set_weight_list()
         self._set_point_list()
-
+        
         familyText = wx.StaticText(self, label='Family:', pos=(10,12))
         sizeText = wx.StaticText(self, label='Size:',pos=(220,12))
         styleText = wx.StaticText(self, label='Style:',pos=(10,62))
         weightText = wx.StaticText(self, label='Weight:',pos=(220,62))
-
+        tick_label_text = wx.StaticText(self,label='Tick label?', pos=(10, 100))
+        tick_label_text.SetToolTipString("Apply to tick label too.")
+		
     def _set_family_list(self):
         # list of font family
@@ -95,4 +99,16 @@
             self.fontPoint.Append(str(list[idx]),idx)
 
+    def get_ticklabel_check(self):
+        """
+        Get tick label check value
+        """
+        self.tick_label = self.tick_label_check.GetValue()
+        return self.tick_label
+
+    def set_ticklabel_check(self, check=False):
+        """
+        Set tick label check value
+        """
+        self.tick_label_check.SetValue(check)
 
     def set_default_font(self,font):
@@ -103,16 +119,14 @@
             self.fontPoint.SetSelection(3)
             self.fontStyle.SetSelection(0)
-
         else:
-            self.fontWeight.SetStringSelection(font.get_weight())
-            self.fontPoint.SetStringSelection(font.get_size())
-            self.fontFamily.SetStringSelection(font.get_family())
-            self.fontStyle.SetStringSelection(font.get_style())
-        
-
+        	self.fontWeight.SetStringSelection(str(font.get_weight()))
+        	self.fontPoint.SetStringSelection(str(int(font.get_size())))
+        	self.fontFamily.SetStringSelection(str(font.get_family()[0]))
+        	self.fontStyle.SetStringSelection(str(font.get_style()))
+        	
     def get_font(self):
         FONT = FontProperties()
         font = FONT.copy()
-        font.set_size(self.fontPoint.GetValue())
+        font.set_size(str(self.fontPoint.GetValue()))
         font.set_name(str(self.fontFamily.GetValue()))
         font.set_slant(str(self.fontStyle.GetValue()))
Index: plottools/src/danse/common/plottools/TextDialog.py
===================================================================
--- plottools/src/danse/common/plottools/TextDialog.py	(revision 10bfeb307197dbe02c1ab9ca2e868b076c0cd128)
+++ plottools/src/danse/common/plottools/TextDialog.py	(revision 657e52c6e801e630d2fc6f1722a752b701d20771)
@@ -97,5 +97,5 @@
         self.fontSize.SetMinSize((_BOX_WIDTH, -1))
         self._set_size_list()
-        self.fontSize.SetSelection(3)
+        self.fontSize.SetSelection(5)
         self.fontSize.SetToolTipString("Font size of the text.")
         #font style
